
QGIS Application - Bug report #3568

Bad Allocation when zooming

2011-03-08 02:20 AM - Jean-Roc Morreale

Status: Closed

Priority: Low

Assignee:

Category: Vectors

Affected QGIS version:master Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied:No Resolution: invalid

Crashes QGIS or corrupts data:No Copied to github as #: 13628

Description

Hi, r15306 crashes with a bad allocation message when zooming on a specific layer in a specific project.

It happens on one sqlite vector layer (town's borders) and any layers created from it with the 'save selection', if I open these layers in a new

project there is no problems but if I delete them and add them back in the original project, then it crash again.

Changing the symbology doesn't solve it, even with the default style.

Here is how to reproduce the bug :

1. open the project "badallocation_testcase.qgs" 

2. place the view on a polygon and zoom up to 1:606

Here is the last messages before the error window (DebugView) ->

r2456 d:\\progs\\c\\qgis_unstable\\src\\core\\qgsmaplayer.cpp(868) : (QgsMapLayer::setCacheImage) cache Image set!

r2456 d:\\progs\\c\\qgis_unstable\\src\\core\\qgsvectorlayer.cpp(932) : (QgsVectorLayer::draw) rendering v2:

r2456 SINGLE: FILL SYMBOL (1 layers) color 109,54,141,255

r2456 d:\\progs\\c\\qgis_unstable\\src\\providers\\ogr\\qgsogrprovider.cpp(631) : (QgsOgrProvider::select) Setting spatial filter using 

POLYGON)

History

#1 - 2011-03-08 02:31 AM - Jean-Roc Morreale

I can't join the file for now due to the size limit, I'll upload it this evening

#2 - 2011-03-08 09:12 AM - Jean-Roc Morreale

the test files can be downloaded there ->

http://www.megaupload.com/?d=8HQKZ65E

#3 - 2011-03-13 10:18 AM - Giovanni Manghi

can't replicate on trunk/linux
#4 - 2011-06-20 06:45 AM - Paolo Cavallini

Please check. In the absence of feedback, better close this ticket.

#5 - 2011-12-16 01:48 PM - Giovanni Manghi

- Target version changed from Version 1.7.0 to Version 1.7.4

#6 - 2012-01-23 11:51 PM - Jean-Roc Morreale

- Affected QGIS version set to master

- Crashes QGIS or corrupts data set to No

- Pull Request or Patch supplied set to No

- Status changed from Open to Closed

I can't reproduce it with a new layer and the test layer is now gone forever with megaupload so I'm closing this ticket

#7 - 2013-05-09 12:41 PM - George Rodrigues da Cunha Silva

- Target version changed from Version 1.7.4 to Version 2.0.0

- Status changed from Closed to Reopened

Hello guys,

I'm with a 3 user operation here and I'm having this exact same problem.

Only one of my users is having this problem. he is editing a point postgis layer and whenever he adds a new feature and zooms out, QGIS gives a bad

allocation error.

If the user creates the feature and then saves, before zooming in or out, the feature is saved on the database. If the user zooms/pans after the save, the

error still occurs.

We are in a project with 5 layers, all in PostGIS and 3 postgis loaded tables.

We configured a different form for this specific layer and this layer contains a mapping association with one of the tables.

I'm not sure where, but where can I find more detailed logs from QGis? the only message that it's giving me is

'bad allocation'.

Without editing there's nothing wrong and the error does not occur.

Environment:

QGIS 1.8

Windows 7

PostgreSQL 9.1 + PostGIS 2.0

Plugins:

OpenLayers Plugin
#8 - 2013-05-09 12:52 PM - George Rodrigues da Cunha Silva

- File Sem_título.png added

I can reproduce the problem using a layer from OpenLayers plugin.

I have one layer selected and I can successfully identify some of the features on the screen. After a while I get a nasty bad allocation message and the user

can no longer operate with the software.

Steps:

1 - Add a few vector layers

2 - Add a openlayers plugin layer (google sat or bing aerial, for example)

3 - Zoom in up to 1:4000 or bigger (1:2000)

4 - Use the identify tool on a polygonal layer.

I'll cc this to the openlayers plugin folks, but I think identify is failing for some reason.

#9 - 2013-05-10 01:31 AM - Giovanni Manghi

- Status changed from Reopened to Feedback

George Rodrigues da Cunha Silva wrote:

I can reproduce the problem using a layer from OpenLayers plugin.

if this happens only when layers from the OL plugin are added, then is likely a plugin error. Can you confirm?

#10 - 2013-05-15 10:01 AM - Andre Joost

If it is a zoom and identify problem, your case might better fit to this ticket: #7834

The Openlayers plugin is not used there, it looks more like a Windows platform issue.

#11 - 2014-06-21 02:07 PM - Giovanni Manghi

- Status changed from Feedback to Closed

- Resolution set to invalid

closing for lack of feedback, the similar issue/ticket has been closed as fixed too.

Files

Sem_título.png 2.04 MB 2013-05-09 George Rodrigues da Cunha Silva
